/*
 * Copyright (c) 2006, TopCoder, Inc. All rights reserved.
 *
 * Author: TCSDEVELOPER
 * Version: 1.0
 */

namespace TopCoder.Test.Framework.Servers
{
    /// <summary>
    /// A very simple mock-up server class, to test the members of <see cref="Server"/> without any subclass
    /// functionality.
    /// </summary>
    public class MockBaseServer : Server
    {
        /// <summary>
        /// Implements one of the base abstract methods.
        /// </summary>
        public override void CleanUpData()
        {
        }

        /// <summary>
        /// Implements one of the base abstract methods.
        /// </summary>
        public override void InitData()
        {
        }

        /// <summary>
        /// Implements one of the base abstract methods.
        /// </summary>
        public override void ShutDown()
        {
        }

        /// <summary>
        /// Implements one of the base abstract methods.
        /// </summary>
        public override void StartUp()
        {
        }
    }

    /// <summary>
    /// Another simple mock-up server class, to test the members of <see cref="DatabaseServer"/> without any real
    /// functionality.
    /// </summary>
    public class MockDbServer : DatabaseServer
    {
        /// <summary>
        /// Implements one of the base abstract methods.
        /// </summary>
        public override void CleanUpData()
        {
        }

        /// <summary>
        /// Implements one of the base abstract methods.
        /// </summary>
        public override void InitData()
        {
        }

        /// <summary>
        /// Implements one of the base abstract methods.
        /// </summary>
        public override void ShutDown()
        {
        }

        /// <summary>
        /// Implements one of the base abstract methods.
        /// </summary>
        public override void StartUp()
        {
        }
    }

    /// <summary>
    /// Yet another simple mock-up server class, to test the members of <see cref="ApplicationServer"/> without any
    /// real functionality.
    /// </summary>
    public class MockAppServer : ApplicationServer
    {
        /// <summary>
        /// Implements one of the base abstract methods.
        /// </summary>
        public override void CleanUpData()
        {
        }

        /// <summary>
        /// Implements one of the base abstract methods.
        /// </summary>
        public override void InitData()
        {
        }

        /// <summary>
        /// Implements one of the base abstract methods.
        /// </summary>
        public override void ShutDown()
        {
        }

        /// <summary>
        /// Implements one of the base abstract methods.
        /// </summary>
        public override void StartUp()
        {
        }
    }
}
