/*
 * Copyright (c) 2006, TopCoder, Inc. All rights reserved.
 *
 * Author: TCSDEVELOPER
 * Version: 1.0
 */

using NUnit.Framework;
using System;

namespace TopCoder.Test.Framework.Servers
{
    /// <summary>
    /// This class tests <see cref="ServerException"/>, which is a very straightforward exception class.
    /// </summary>
    [TestFixture]
    public class TestServerException
    {
        /// <summary>
        /// Tests the message constructor.
        /// </summary>
        [Test]
        public void TestMessageConstructor()
        {
            Exception e = new ServerException("test");
            Assert.AreEqual("test", e.Message, "Incorrect message.");
            Assert.AreEqual(null, e.InnerException, "No inner exception should exist.");
        }

        /// <summary>
        /// Tests the two-param constructor.
        /// </summary>
        [Test]
        public void TestTwoParamConstructor()
        {
            Exception inner = new Exception("TESTING");
            Exception e = new ServerException("test", inner);
            Assert.AreEqual("test", e.Message, "Incorrect message.");
            Assert.AreEqual(inner, e.InnerException, "Incorrect inner exception.");
        }
    }
}
